Page MenuHomePhabricator

Create controller object
Closed, ResolvedPublic

Description

AC:

  • new controller object that should always be loaded on Entity page load
  • should not be loaded on non-Entity pages
  • should receive the global config variable
  • global config variable should be exported to the controller

This should listen to the save hook and mutates the store (using the methods made available by the store implementer)
Make controller also listen to clicking edit link hook

In the event that the config variable is not true the the store should not be mutated.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterTR: Change default SET_ALL_TAINTED to SET_ALL_UNTAINTED
mediawiki/extensions/Wikibase : masterTR: Introduce TaintedChecker
mediawiki/extensions/Wikibase : masterAdd saved hook to HookHandler
mediawiki/extensions/Wikibase : masterIntroduce HookHandler

Event Timeline

noarave created this task.Sep 13 2019, 8:43 AM
Tarrow added a subscriber: Tarrow.Sep 17 2019, 8:24 AM

We're postponing this task a little bit until we know more what our vue/JS interface will be like

Tarrow updated the task description. (Show Details)Sep 23 2019, 11:54 AM
Tarrow updated the task description. (Show Details)
Tarrow claimed this task.Oct 16 2019, 9:32 AM
Tarrow moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint3 board.

Change 543702 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Introduce HookHandler

https://gerrit.wikimedia.org/r/543702

Change 544932 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Add saved hook to HookHandler

https://gerrit.wikimedia.org/r/544932

Change 545265 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] DNM: TR: Introduce TaintedChecker

https://gerrit.wikimedia.org/r/545265

Change 545450 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] TR: Change default SET_ALL_TAINTED to SET_ALL_UNTAINTED

https://gerrit.wikimedia.org/r/545450

Change 543702 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce HookHandler

https://gerrit.wikimedia.org/r/543702

Change 544932 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add saved hook to HookHandler

https://gerrit.wikimedia.org/r/544932

Change 545450 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] TR: Change default SET_ALL_TAINTED to SET_ALL_UNTAINTED

https://gerrit.wikimedia.org/r/545450

Change 545265 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Introduce TaintedChecker

https://gerrit.wikimedia.org/r/545265

Change 545450 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Change default SET_ALL_TAINTED to SET_ALL_UNTAINTED

https://gerrit.wikimedia.org/r/545450

hoo added a subscriber: hoo.Thu, Oct 24, 2:33 PM

@Tarrow I think we can consider this done, can't we?

Tarrow closed this task as Resolved.Tue, Oct 29, 10:40 AM
DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks